Bug 1368832 - AttributeError: 'Repo' object has no attribute 'metalink_path'
AttributeError: 'Repo' object has no attribute 'metalink_path'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-21 13:59 EDT by Igor Gnatenko
Modified: 2016-10-04 14:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-13 10:14:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2016-08-21 13:59:56 EDT
[root@4ac74e4b03f7 /]# dnf install python2-jinja2 --setopt=reposdir=/tmp/repos.d/ -y
Copr repo for behave-enhanced owned by ignatenkobrain                                                                                                                              5.9 kB/s | 5.3 kB     00:00    
Fedora 24 - x86_64 - Updates                                                                                                                                                       2.9 MB/s |  14 MB     00:04    
Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 170, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 111, in _main
    cli.run()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 946, in run
    self._process_demands()
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 788, in _process_demands
    load_available_repos=self.demands.available_repos)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 252, in fill_sack
    self._add_repo_to_sack(r)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 109, in _add_repo_to_sack
    repo.load()
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 821, in load
    self._replace_metadata(handle)
  File "/usr/lib/python3.5/site-packages/dnf/repo.py", line 694, in _replace_metadata
    shutil.move(handle._metalink_path, self.metalink_path)
AttributeError: 'Repo' object has no attribute 'metalink_path'


dnf-2.0.0-0.354gdbc1870.fc24.noarch
Comment 2 Igor Gnatenko 2016-09-13 10:14:22 EDT
Merged in DNF 2.0.

Note You need to log in before you can comment on or make changes to this bug.